EDIT - bug #5774

cdmserver misses to detect some errors in failed instances
05/06/2016 10:41 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmserver Estimated time: 0:00 hour
Target version: Release 5.8

Severity: major Found in Version:

Description

The following error was missed, the cdmserver kept on reporting that the instance is 'started' even if it completely had failed:

2016-05-06 13:27:00,075 INFO [eu.etaxonomy.cdm.database.PersistentTermInitializer] - PersistentTer
mInitializer initialize start

2016-05-06 13:27:00,075 INFO [eu.etaxonomy.cdm.database.PersistentTermInitializer] - PersistentTer
mInitializer.omit == false, initializing 45 term classes

2016-05-06 13:27:00,137 INFO [eu.etaxonomy.cdm.database.PersistentTermInitializer] - Start new

2016-05-06 13:27:00,233 INFO [eu.etaxonomy.cdm.database.PersistentTermInitializer] - Create missin
g terms
2016-05-06 13:27:05,997 WARN [org.springframework.web.context.support.XmlWebApplicationContext] -

Exception encountered during context initialization - cancelling refresh attempt: org.sprin
gframework.beans.factory.BeanCreationException: Error creating bean with name 'persistentTermIniti
alizer': Invocation of init method failed; nested exception is Jjava.lang.NoSuchMethodError:
eu.etaxonomy.cdm.model.common.IdentifiableEntity.hasEmptyTitleCache()Z

2016-05-06 13:27:06,008 WARN [eu.etaxonomy.cdm.persistence.hibernate.CdmlListenerIntegrator] - Disi
ntegrate ListenerIntegrator not yet implemented

2016-05-06 13:27:06,014 ERROR [org.springframework.web.context.ContextLoader] - Context initializa

tion failed
org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'persistent
TermInitializer': Invocation of init method failed; nested exception is Jjava.lang.NoSuchMet
hodError: eu.etaxonomy.cdm.model.common.IdentifiableEntity.hasEmptyTitleCache()Z

at org.springframework.beans.factory.annotation.InitDestroyAnnotationBeanPostProcessor.pos
tProcessBeforeInitialization(InitDestroyAnnotationBeanPostProcessor. java:136)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.applyBeanP
ostProcessorsBeforeInitialization (AbstractAutowireCapableBeanFactory. java:408)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.initialize
Bean (AbstractAutowireCapableBeanFactory. java:1570)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBe
an (AbstractAutowireCapableBeanFactory. java:545)

at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean
(AbstractAutowireCapableBeanFactory. java:482)

at org.springframework.beans.factory.support.AbstractBeanFactory$l.getObject (AbstractBeanF
actory.java:306)

at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton (Def
aultSingletonBeanRegistry.java:230)

at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean (AbstractBeanFac
tory.java:302)

at org.springframework.beans.factory.support.AbstractBeanFactory.getBean (AbstractBeanFacto
ry.java:197)

at org.springframework.beans.factory.support.DefaultListableBeanFactory.prelInstantiateSing
letons (DefaultListableBeanFactory. java:772)

at org.springframework.context.support.AbstractApplicationContext.finishBeanFactoryInitial
ization (AbstractApplicationContext.java:839)

at org.springframework.context.support.AbstractApplicationContext.refresh (AbstractApplicat
ionContext.java:538)

at org.springframework.web.context.ContextLoader.configureAndRefreshWebApplicationContext (
ContextLoader. java:446)

at org.springframework.web.context.ContextLoader.initWebApplicationContext (ContextLoader. j
ava:328)

at org.springframework.web.context.ContextLoaderListener.contextInitialized (ContextLoaderL
istener.java:107)

at org.eclipse.jetty.server.handler.ContextHandler.callContextInitialized (ContextHandler. j
ava:800)

at org.eclipse.jetty.servlet.ServletContextHandler.callContextInitialized (ServletContextHa
ndler. java:444)

at org.eclipse.jetty.server.handler.ContextHandler.startContext (ContextHandler. java:791)

at org.eclipse.jetty.servlet.ServletContextHandler.startContext (ServletContextHandler. java
:294)

at org.eclipse.jetty.webapp.WebAppContext.startWebapp (WebAppContext.java:1349)

has duplicate #5773

Related issues:
Related to EDIT - feature request #7725: Implement server availability check New
Has duplicate EDIT - bug #5773: Exceptions during CDM Server startup are not ... Duplicate

Associated revisions

Revision 0d7b39¢7 - 05/20/2019 03:11 PM - Andreas Kohlbecker

fix #5774 configuring webapp contexts to re-throw errors on startup

History

#1 - 06/01/2016 01:23 PM - Andreas Miuller

- Target version changed from Release 4.1 to Release 4.2

#2 - 07/06/2016 03:21 PM - Andreas Miuller

- Target version changed from Release 4.2 to Release 4.3

#3 - 09/02/2016 02:20 PM - Andreas Miiller
- Has duplicate bug #5773: Exceptions during CDM Server startup are not caught correclty added

#4 - 09/23/2016 03:35 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#5 - 12/01/2016 02:04 PM - Andreas Miuller

- Target version changed from Release 4.4 to Release 4.5

#6 - 01/19/2017 01:24 PM - Andreas Miller

- Target version changed from Release 4.5 to Release 4.6

#7 - 03/10/2017 08:51 PM - Andreas Miuller

- Target version changed from Release 4.6 to Release 4.7

#8 - 05/11/2017 10:22 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#9 - 07/06/2017 10:15 PM - Andreas Miuller

- Target version changed from Release 4.8 to Release 4.9

#10 - 07/21/2017 10:37 AM - Andreas Muller

- Target version changed from Release 4.9 to Release 4.10

#11 - 09/24/2017 01:41 AM - Andreas Miuiller

- Target version changed from Release 4.10 to Release 4.11

#12 - 11/08/2017 11:14 AM - Andreas Muller

- Target version changed from Release 4.11 to Release 4.12

#13 - 12/05/2017 02:25 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13
#14 - 01/31/2018 12:14 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#15 - 02/15/2018 02:57 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#16 - 04/10/2018 03:02 PM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#17 - 05/16/2018 11:19 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#18 - 06/28/2018 12:14 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#19 - 08/17/2018 03:54 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#20 - 09/06/2018 11:11 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#21 - 09/06/2018 12:17 PM - Andreas Miiller

- Related to feature request #7725: Implement server availability check added

#22 - 10/23/2018 02:43 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#23 - 01/30/2019 11:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#24 - 02/22/2019 03:55 PM - Andreas Kohlbecker
- Priority changed from Priority 14 to Priority12

- Target version changed from Release 5.6 to Reviewed Next Major Release

#25 - 02/22/2019 04:03 PM - Andreas Miiller

hmm, | consider this a very anoying and dagerous bug as one may not realize that some instances do work (we do not have any other tests for
checking). Do you really think we should lower priority to 127

#26 - 02/22/2019 05:22 PM - Andreas Kohlbecker
- Priority changed from Priority12 to Priority14

| guess you are right. | was lowering the priority that much because the issue has not been reported for 2 years, but there is a duplicate issue and you
are also right by saying that this bug can be very confusing.

#27 - 05/20/2019 03:10 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- Target version changed from Reviewed Next Major Release to Release 5.8

#28 - 05/20/2019 03:11 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-server|0d7b39c76dff44342ce55bf721168a6974fccdab.

03/13/2024 3/4


https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-server/revisions/0d7b39c76dff44342ce55bf721168a6974fccdab

#29 - 05/20/2019 03:14 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

It occurred again in the demo1 server.

Problem fixed.

Since it is quite time consuming to do do all the testing and breaking things required for a full review | will just close this issue. Future will show in
case it is not really 100% fixed.
